﻿
using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

using MindFusion.Scheduling;
using MindFusion.Scheduling.Silverlight;

namespace CustomResourceCells
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			// Test resources
			calendar1.BeginInit();
			calendar1.ItemResources.Add(
				new Resource()
				{
					Name = "Resource #1",
				});
			calendar1.ItemResources.Add(
				new Resource()
				{
					Name = "Resource #2",
				});
			calendar1.ItemResources.Add(
				new Resource()
				{
					Name = "Resource #3",
				});
			calendar1.ItemResources.Add(
				new Resource()
				{
					Name = "Resource #4",
				});
			calendar1.Date = new DateTime(2011, 6, 1);
			calendar1.EndDate = new DateTime(2011, 8, 1);
			calendar1.EndInit();
		}

		private void Calendar_CellPresenterCreated(object sender, CellPresenterEventArgs e)
		{
			e.CellPresenter.StyleKeySimple = "DottedCellStyle";
		}
	}
}
